Skip to main content
POST
/
api
/
hyper-ai
/
test-connection
cURL
curl --request POST \
  --url https://api.production.hyperoru.com/api/hyper-ai/test-connection \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "api_key": "<string>",
  "model": "<string>",
  "provider": "<string>",
  "base_url": "<string>"
}
'
{
  "success": true,
  "latency_ms": 123,
  "message": "<string>",
  "model": "<string>"
}

Authorizations

Authorization
string
header
required

Session token issued by POST /api/users/login, transported as Authorization: Bearer <token>.

Body

application/json

LLM config persistence payload.

api_key
string
required
model
string
required
Example:

"gpt-4o"

provider
string
required
Example:

"openai"

base_url
string | null

Response

Connection test result

Result of POST /api/hyper-ai/test-connection.

success
boolean
required
latency_ms
number<double> | null
message
string | null
model
string | null